<?php

namespace App\Models;

use Dcat\Admin\Traits\HasDateTimeFormatter;

use Illuminate\Database\Eloquent\Model;

class ReportLog extends Model
{
	use HasDateTimeFormatter;
    protected $table = 'report_log';

    protected $fillable = [
        'user_id',
        'product_id',
        'report_id'
    ];

    public function user(){
        return $this->hasOne(User::class,'id','user_id');
    }
    public function product(){
        return $this->hasOne(Product::class,'id','product_id');
    }
    public function report(){
        return $this->hasOne(Report::class,'id','report_id');
    }
}
